"use client";
import React from "react";
import Image from "next/image";
import { Swiper, SwiperSlide } from "swiper/react";
import "swiper/css";
import "swiper/css/free-mode";
import "swiper/css/autoplay";
import { Autoplay } from "swiper/modules";
import { projects } from "@/data/dataArrays";

function Projects() {
  return (
    <div>
      <div className="mt-0 md:ml-[80px] lg:ml-[80px] md:mr-[80px] lg:mr-[80px] mb-20 hidden md:flex lg:flex">
        <Swiper
          slidesPerView={3} // Show 3 slides at a time
          spaceBetween={30} // Spacing between slides
          loop={true} // Infinite loop
          autoplay={{
            delay: 0,
            disableOnInteraction: false,
            pauseOnMouseEnter: true,
          }}
          speed={3000} // Smooth continuous scrolling
          modules={[Autoplay]}
        >
          {projects.map((item, index) => (
            <SwiperSlide key={index}>
              <Image
                src={item}
                alt={`Project ${index + 1}`}
                height={200}
                width={400}
              />
            </SwiperSlide>
          ))}
        </Swiper>
      </div>
      <div className="mt-0 md:ml-[80px] lg:ml-[80px] md:mr-[80px] lg:mr-[80px] mb-20 md:hidden lg:hidden flex items-center justify-center p-5 w-full">
        <Swiper
          slidesPerView={1}
          spaceBetween={30}
          loop={true}
          autoplay={{
            delay: 0,
            disableOnInteraction: false,
            pauseOnMouseEnter: true,
          }}
          speed={3000}
          modules={[Autoplay]}
          className="w-full"
        >
          {projects.map((item, index) => (
            <SwiperSlide
              key={index}
              className="flex justify-center items-center w-full h-full"
            >
              <div className="flex justify-center items-center w-full h-full">
                <Image
                  src={item}
                  alt={`Project ${index + 1}`}
                  height={200}
                  width={400}
                  className="object-contain mx-auto w-full h-full" // Ensure full width and height
                />
              </div>
            </SwiperSlide>
          ))}
        </Swiper>
      </div>
    </div>
  );
}

export default Projects;
